<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('career_personality', function (Blueprint $table) {
            $table->id();
            $table->uuid('personality_id');
            $table->uuid('career_id');

            $table->foreign('personality_id')->references('id')->on('personalities')->cascadeOnDelete();
            $table->foreign('career_id')->references('id')->on('careers')->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('career_personality');
    }
};
